### Method

# Gtk LockButton set_permission

#### Declaration [src]

    void
    gtk_lock_button_set_permission (
      GtkLockButton* button,
      GPermission* permission
    )

#### Description [src]

Sets the `GPermission` object that controls `button`.

Sets property | `Gtk.LockButton:permission`

#### Parameters

`permission` | `GPermission*`
| A `GPermission` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.